petsc-3.10.5 2019-03-28
Report Typos and Errors

# IS

Abstract PETSc object that allows indexing.

### Synopsis

    typedef struct _p_IS* IS;

### See Also

ISCreateGeneral(), ISCreateBlock(), ISCreateStride(), ISGetIndices(), ISDestroy()

### Level

beginner

### Location

src/vec/is/is/../../../../include/petscistypes.h

### Examples

src/vec/is/is/examples/tutorials/ex1.c.html
src/vec/is/is/examples/tutorials/ex2.c.html
src/vec/is/is/examples/tutorials/ex3.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F90.html
src/ksp/ksp/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex62.c.html
src/ksp/ksp/examples/tutorials/ex63.cxx.html
src/snes/examples/tutorials/ex73f90t.F90.html

### Implementations

_p_IS in include/petsc/private/isimpl.h
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages